%        (  I    )
% R= M * (       )
%        (  0  v )
%
function R=block_mult(M,v);
dim=size(M,1);
n=size(v,1);
R=sparse(dim,dim);
dimmn=dim-n;
R(:,1:dimmn)=M(:,1:dimmn);
dimmnp1=dimmn+1;
R(:,dimmnp1:dim)=M(:,dimmnp1:dim)*v;